ompi/mca/ptl/base/ptl_base_comm.h File Reference.TH "ompi/mca/ptl/base/ptl_base_comm.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/base/ptl_base_comm.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'mca/ptl/ptl.h'\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br

.SS "Data Structures"

.in +1c
.ti -1c
.RI "struct \fBmca_pml_comm_t\fP"
.br
.RI "\fICached on ompi_communicator_t to hold queues/state used by the PML<->PTL interface for matching logic. \fP"
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_pml_comm_t\fP \fBmca_pml_ptl_comm_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_pml_ptl_comm_init_size\fP (\fBmca_pml_ptl_comm_t\fP *comm, size_t size)"
.br
.RI "\fIInitialize an instance of mca_pml_ptl_comm_t based on the communicator size. \fP"
.ti -1c
.RI "static mca_ptl_sequence_t \fBmca_pml_ptl_comm_send_sequence\fP (\fBmca_pml_ptl_comm_t\fP *comm, int dst)"
.br
.RI "\fIObtain the next sequence number (MPI) for a given destination rank. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBopal_class_t\fP \fBmca_pml_ptl_comm_t_class\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "OMPI_DECLSPEC int mca_pml_ptl_comm_init_size (\fBmca_pml_ptl_comm_t\fP * comm, size_t size)"
.PP
Initialize an instance of mca_pml_ptl_comm_t based on the communicator size. 
.PP
\fBParameters:\fP
.RS 4
\fIcomm\fP Instance of mca_pml_ptl_comm_t 
.br
\fIsize\fP Size of communicator 
.RE
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS or error status on failure. 
.RE
.PP

.SS "static mca_ptl_sequence_t mca_pml_ptl_comm_send_sequence (\fBmca_pml_ptl_comm_t\fP * comm, int dst)\fC [inline, static]\fP"
.PP
Obtain the next sequence number (MPI) for a given destination rank. 
.PP
\fBParameters:\fP
.RS 4
\fIcomm\fP Instance of mca_pml_ptl_comm_t 
.br
\fIdst\fP Rank of destination. 
.RE
.PP
\fBReturns:\fP
.RS 4
Next available sequence number. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
